Create Rich History Configuration
post
/api/v1/configuration/richHistoryConfig
Create a rich history database configuration. Oracle and MySQL configurations have different required connection properties.
Request
Supported Media Types
- application/json
Header Parameters
-
Authorization(required): string
Bearer access token. Supply as: Bearer
.
Root Schema : schema
Match All
Show Source
-
object
RichHistoryConfig
Rich History database configuration. Returned passwords are masked. Oracle and MySQL use different conditional fields.
-
object
1
Nested Schema : RichHistoryConfig
Type:
objectRich History database configuration. Returned passwords are masked. Oracle and MySQL use different conditional fields.
Show Source
-
advanced:
object RichHistoryAdvancedConfig
Advanced rich history retention configuration.
-
caCertFileBytes:
string(byte)
Request-only base64 MySQL CA certificate accepted by JSON create or update.
-
caCertFileName:
string
MySQL CA certificate filename.
-
configName:
string
-
connectionString:
string
Required for Oracle.
-
databaseType:
string
Default Value:
oracleAllowed Values:[ "oracle", "mysql" ] -
dbName:
string
MySQL database name. For Oracle, use
connectionString. -
endpoint:
string
Required for MySQL.
-
id:
string
-
password:
string(password)
Required for MySQL create; optional for update. Returned masked.
-
retentionMode:
string
Allowed Values:
[ "advanced" ]Required and must be advanced whenuseBlockchainTableis true. -
useBlockchainTable:
boolean
-
username:
string
-
walletArchiveBytes:
string(byte)
Request-only base64 Oracle wallet archive accepted by JSON create or update.
-
walletArchiveName:
string
Nested Schema : 1
Type:
objectNested Schema : RichHistoryAdvancedConfig
Type:
objectAdvanced rich history retention configuration.
Show Source
Response
Supported Media Types
- application/json
200 Response
OK
Root Schema : RichHistoryConfig
Type:
objectRich History database configuration. Returned passwords are masked. Oracle and MySQL use different conditional fields.
Show Source
-
advanced:
object RichHistoryAdvancedConfig
Advanced rich history retention configuration.
-
caCertFileBytes:
string(byte)
Request-only base64 MySQL CA certificate accepted by JSON create or update.
-
caCertFileName:
string
MySQL CA certificate filename.
-
configName:
string
-
connectionString:
string
Required for Oracle.
-
databaseType:
string
Default Value:
oracleAllowed Values:[ "oracle", "mysql" ] -
dbName:
string
MySQL database name. For Oracle, use
connectionString. -
endpoint:
string
Required for MySQL.
-
id:
string
-
password:
string(password)
Required for MySQL create; optional for update. Returned masked.
-
retentionMode:
string
Allowed Values:
[ "advanced" ]Required and must be advanced whenuseBlockchainTableis true. -
useBlockchainTable:
boolean
-
username:
string
-
walletArchiveBytes:
string(byte)
Request-only base64 Oracle wallet archive accepted by JSON create or update.
-
walletArchiveName:
string
Nested Schema : RichHistoryAdvancedConfig
Type:
objectAdvanced rich history retention configuration.
Show Source
400 Response
Bad Request
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings
401 Response
Unauthorized
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
403 Response
Forbidden. The authenticated caller lacks a required global role, instance-access-group membership, or a valid CSRF token.
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
500 Response
Internal Server Error
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings